<template>
  <content-section class="bg-orange-100">
    <template #heading>
      <h2>{{ heading }}</h2>
    </template>

    <template #summary>
      <div class="markdown summary" v-html="text" />
    </template>

    <template #default>
      <concept-item-grid :items="conceptItems" :max-columns="3" />
      <author-quote class="mt-16" v-bind="quote" />
    </template>
  </content-section>
</template>

<script>
import ConceptItemGrid from '~/components/common/ConceptItemGrid';
import AuthorQuote from '~/components/common/AuthorQuote';

export default {
  name: 'QuienesSomosPrinciplesSection',
  components: {
    ConceptItemGrid,
    AuthorQuote,
  },
  props: {
    heading: { type: String, default: undefined },
    text: { type: String, default: undefined },
    conceptItems: { type: Array, default: () => [] },
    quote: {
      type: Object,
      default: () => ({ text: undefined, author: undefined }),
    },
  },
};
</script>
